import React from "react";
import { Breakpoints } from "./breakpoints";
export interface BreakpointTrackerProps {
    /**
     * The render method
     */
    render: (activeBreakpoint: number | void) => React.ReactNode;
}
export interface BreakpointTrackerState {
    /**
     * The active breakpoint as an index of the Breakpoints array
     */
    activeBreakpoint: number | void;
}
export default class BreakpointTracker extends React.Component<BreakpointTrackerProps, BreakpointTrackerState> {
    /**
     * The array of breakpoint values
     */
    static breakpoints: Breakpoints;
    /**
     * Track if we have an open animation frame request
     */
    private openRequestAnimationFrame;
    /**
     * Constructor for the BreakpointTracker component.
     */
    constructor(props: BreakpointTrackerProps);
    /**
     * React life-cycle method
     */
    componentDidMount(): void;
    /**
     * React life-cycle method
     */
    componentWillUnmount(): void;
    /**
     * React render method
     */
    render(): React.ReactNode;
    /**
     * Updates the active breakpoint
     */
    private updateBreakpoint;
    /**
     * Request's an animation frame if there are currently no open animation frame requests
     */
    private requestFrame;
}
